#!/bin/bash
# installe.sh
# Pour installer les composantes de DefaultAudioPlayer dans un Puppy. /
# To install the components of DefaultAudioPlayer in a Puppy.
##
# © Christian L'Écuyer,Gatineau (Qc), Canada, 2018-06-24. GPL3.
# (Alias musher0 [forum Puppy].) # Rév. : none yet / aucune encore.
####
ls -1 | grep -v -E "zip|sh" | while read archive;do 
	petget $archive
done # 9 files / fichiers.

unzip -d /usr/local/bin defaultaudioplayer.zip
chmod +x /usr/local/bin/defaultaudioplayer
chmod +x /usr/local/bin/album.sh

unzip -d /usr/share/fonts/default/TTF/ Monaco.ttf.zip 
cp -f /usr/share/fonts/default/TTF/Monaco.ttf /usr/share/fonts/default/TTF/monaco.ttf
fc-cache -r

cd /usr/bin
ln -s st-bisque st
cd -
exit

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
~~~ EN ~~~ Q.v. complete text at https://opensource.org/licenses/GPL-3.0
    This program is free software: you can redistribute it and/or modify it under the terms
    of the GNU General Public License as published by the Free Software Foundation, either
    version 3 of the License, or  (at your option) any later version.
    	This program is distributed in the hope that it will be useful, but WITHOUT ANY
    WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
    A PARTICULAR PURPOSE.  See the  GNU General Public License for more details.
    	You should have received a copy of the GNU General Public License along with this
   program.  If not, see <http://www.gnu.org/licenses/>.
~~~ FR ~~~
	Ce programme est libre : vous pouvez le redistribuer ou modifier selon les termes de la
   Licence Publique Générale GNU publiée par la Free Software Foundation (v. 3 ou toute
   version ultérieure choisie par vous).
		Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE
   GARANTIE, ni explicite ni implicite, y compris des garanties de commercialisation ou
   d'adaptation à un but spécifique. Pour obtenir plus	de détails, veuillez vous reporter au
   texte de cette licence à https://opensource.org/licenses/GPL-3.0 pour le texte officiel, à
	http://www.linux-france.org/article/these/gpl.html pour une traduction et à
	https://fr.wikipedia.org/wiki/Licence_publique_générale_GNU pour une explication en français.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
